/*
 *    Copyright (c) 2017 by Maciej Wiecierzewski
 */

#include "EventQueue.h"

using namespace gui;

void EventQueue::addToQueue(Event&& event, EventListener eventListener)
{
    queue.push(Entry(event, eventListener));
}

bool EventQueue::empty()
{
    return queue.empty();
}

Event EventQueue::getNextEvent(EventListener &eventListener)
{
    Entry& entry = queue.front();
    Event event = std::move(entry.event);

    queue.pop();

    eventListener = entry.eventListener;

    return event;
}
